import request from '@/utils/request'

export function getApportionConfigPage(data) {
  return request({
    url: '/procure-apportion/page',
    method: 'get',
    params: data
  })
}

export function getApportionConfigList(data) {
  return request({
    url: '/procure-apportion/list',
    method: 'post',
    data: data
  })
}

export function getApportionConfigById(data) {
  return request({
    url: '/procure-apportion/listById',
    method: 'post',
    data: data
  })
}

export function addApportionConfig(data) {
  return request({
    url: '/procure-apportion/add',
    method: 'post',
    data: data
  })
}

export function editApportionConfig(data) {
  return request({
    url: '/procure-apportion/edit',
    method: 'post',
    data: data
  })
}

export function delApportionConfig(data) {
  return request({
    url: '/procure-apportion/delete',
    method: 'post',
    data: data
  })
}
